%define	name	cdrdao
%define version 1.2.4
%define release %mkrel 1
%define fname %name-%version

Summary:	Cdrdao - Write CDs in disk-at-once mode
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Archiving/Cd burning
URL:		http://cdrdao.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/cdrdao/%{fname}.tar.xz
BuildRequires:	libvorbis-devel
BuildRequires:	libmad-devel
BuildRequires:	lib64ao-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:  	%name < %version

%description
Writes CDs in disc-at-once (DAO) mode allowing control over pre-gaps
(length down to 0, nonzero audio data) and sub-channel information
like ISRC codes. All data that is written to the disc must be
specified with a text file. Audio data may be in WAVE or raw format.


%package	toc2mp3
Summary:	Command line MP3 encoder front end to cdrdao
Group:		Sound
BuildRequires:	liblame-devel
Requires:	%{name} = %{version}

%description	toc2mp3
This is a command line MP3 encoder that converts audio CD disc images
(toc files) to MP3 files. Special care is taken that the MP3 files can
be played in sequence without having unwanted noise at the transition
points. CD-TEXT information (if available) is used to set ID3 (v2)
tags and to construct the name of the MP3 files.

%prep
%setup -q -n %fname
%apply_patches

%build
export CXXFLAGS="%optflags -DENABLE_NLS"
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README README.PlexDAE
%doc %{_mandir}/man1/*
%attr(6755,root,cdwriter) %{_bindir}/cdrdao
%{_bindir}/toc2cue
%{_bindir}/toc2cddb
%{_bindir}/cue2toc
%{_datadir}/%{name}

%files toc2mp3
%defattr(-,root,root)
%{_bindir}/toc2mp3


%changelog
* Sun May 09 2021 daniel <> 1.2.4-1pclos2021
- update
- adjust specfile

* Sat Mar 27 2010 Texstar <texstar at gmail.com> 1.2.3-2pclos2010
- rebuild

* Fri Dec 04 2009 pcserver <pcserver at hush.com> 1.2.3-1pclos2010
- gcc update
- 1.2.3
- trim specfile

